gd_framenum_subset64(3)

NAME
gd_framenum_subset64 — perform a reverse look-up on a monotonic dirfile field

SYNOPSIS
#define _LARGEFILE64_SOURCE

#include <getdata.h>

double gd_framenum_subset64(DIRFILE *dirfile, const char *field_code, double value, off64_t field_start, off64_t field_end);

DESCRIPTION
This version of gd_framenum_subset(3) uses a 64-bit offset type, even if off_t is a 32-bit type. It is only available if one defines _LARGEFILE64_SOURCE. If off_t is a 64-bit type (i.e. if _FILE_OFFSET_BITS is defined to be 64), this function will be called gd_framenum_subset(). Otherwise, gd_framenum_subset() will be a version of this function which uses a 32-bit off_t.

SEE ALSO
gd_framenum_subset(3), feature_test_macros(7)